var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") return Reflect.decorate(decorators, target, key, desc);
    switch (arguments.length) {
        case 2: return decorators.reduceRight(function(o, d) { return (d && d(o)) || o; }, target);
        case 3: return decorators.reduceRight(function(o, d) { return (d && d(target, key)), void 0; }, void 0);
        case 4: return decorators.reduceRight(function(o, d) { return (d && d(target, key, o)) || o; }, desc);
    }
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var angular2_1 = require('angular2/angular2');
var Modal = (function () {
    function Modal() {
        this.close = new angular2_1.EventEmitter();
    }
    __decorate([
        angular2_1.Input(), 
        __metadata('design:type', Boolean)
    ], Modal.prototype, "isopened");
    __decorate([
        angular2_1.Output(), 
        __metadata('design:type', angular2_1.EventEmitter)
    ], Modal.prototype, "close");
    Modal = __decorate([
        angular2_1.Component({
            selector: 'modal',
            directives: [
                angular2_1.CORE_DIRECTIVES
            ],
            template: "\n        <div [ng-class]=\"{ 'modal': true, 'fade': true, 'in': isopened, 'opened': isopened }\" role=\"dialog\">\n            <div class=\"modal-dialog\" role=\"document\">\n                <div class=\"modal-content\">\n                    <ng-content></ng-content>\n                </div>\n                <!-- /.modal-content -->\n            </div>\n            <!-- /.modal-dialog -->\n        </div>\n        <!-- /.modal -->\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], Modal);
    return Modal;
})();
exports.Modal = Modal;
var ModalHeader = (function () {
    function ModalHeader() {
    }
    ModalHeader = __decorate([
        angular2_1.Component({
            selector: 'modal-header',
            template: "\n        <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" (click)=\"sendClose()\"><span aria-hidden=\"true\">&times;</span></button>\n            <h4 class=\"modal-title\">\n                <ng-content></ng-content>\n            </h4>\n        </div>\n        <!-- /.modal-header -->\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], ModalHeader);
    return ModalHeader;
})();
exports.ModalHeader = ModalHeader;
var ModalBody = (function () {
    function ModalBody() {
    }
    ModalBody = __decorate([
        angular2_1.Component({
            selector: 'modal-body',
            template: "\n        <div class=\"modal-body\">\n            <ng-content></ng-content>\n        </div>\n        <!-- /.modal-body -->\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], ModalBody);
    return ModalBody;
})();
exports.ModalBody = ModalBody;
var ModalFooter = (function () {
    function ModalFooter() {
    }
    ModalFooter = __decorate([
        angular2_1.Component({
            selector: 'modal-footer',
            template: "\n        <div class=\"modal-footer\">\n            <ng-content></ng-content>\n        </div>\n        <!-- /.modal-footer -->\n    "
        }), 
        __metadata('design:paramtypes', [])
    ], ModalFooter);
    return ModalFooter;
})();
exports.ModalFooter = ModalFooter;
exports.MODAL_DIRECTIVES = [
    Modal,
    ModalHeader,
    ModalBody,
    ModalFooter
];
//# sourceMappingURL=modal.js.map